Subject: [Enum] Clarification on Carrier ENUM discussions

From: "Stastny Richard" <[email-masked]>
Date: Tue, 12 Jul 2005 10:24:43 -0400

Dear all,
 
following the current discussions on carrier ENUM, I have a serious
problem with some issues raised
 
So to clarify some issues:
We have on one side User ENUM, which is used by end-users
to find other end-users. We so not need to define requirements 
here and we do not need to discuss its purpose.
 
On the other hand we have carrier ENUM. Carrier (or Infrastructure)
ENUM is for carriers ONLY and ONLY carriers-of-record are allowed
to enter information there and ONLY carriers may use the infromation,
even if it may publicly available. Carier ENUM is required for carriers
to announce their PoI (IP based or on the PSTN) to other carriers,
with ENUM based technology, that is NAPTRs using
Enumservices such as "sip", "mms:mailto" or eventually
"npd:tel"
 
To do so, different methods may be used.
 
A. use any tree in any domain (e.g foo.bar). Carriers may 
do so on their own choice and are already doing so.
The problem here is that many trees exists.
If the carriers want to use a commonly agreed tree,
they have two options: agree on any tree out of .arpa
or use 
 
B. an additional (side) tree in .arpa
 
here 3 technically equivalent options exists

1. use carrier.arpa
2. use carrier.e164.arpa
3. use carrier.c.c.e164.arpa
 
For the avoidance of doubt, carrier could also be "c" od "foo"
as Otmar pointed out and NOT the name of the carrier (the SPID)
 
Any discussion of draft-haberler should restrict itself to the question
where to put "carrier" or "c" or "foo" and how to find the proper side tree
within the carriers ENUM client and NOT e.g. asking questions like:
 
"How does my
(Scottish) handset figure out what the names (or codes) exist for the
telco operators in say Austria? Which one of these Austrian telcos is
it supposed to prefer? How do I get my handset to pick a new preferred
partner for calls to Austria whenever I port my number to another
Scottish telco or if the preferred telco in Austria has been renamed
(or gone bust)?"
 
This question has nothing to do with the problem at hand
not even with ENUM at all (not even in Scottland ;-)

First: a handset (end-user) will never query carrier enum
and even a telco querying carrier ENUM does not have to find
out which telco to query or to prefer. ENU will give you this 
information. And a number may only be hosted by 
one telco at a time.

-richard

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Pfautz, Penn L, NEO" <[email-masked]>
Date: Tue, 12 Jul 2005 10:33:36 -0400

Richard:
While I agree with your statement that only carriers will put
information into carrier ENUM I would not want to foreclose the
possibility that other non-carrier parties may be able to query it under
certain circumstances. I'm not saying that this will be the common
circumstance at least initially.

Penn

-----Original Message-----
From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] On Behalf Of
Stastny Richard
Sent: Tuesday, July 12, 2005 10:28 AM
To: enum at ietf.org
Subject: [Enum] Clarification on Carrier ENUM discussions

Dear all,

 

 

1. use carrier.arpa
2. use carrier.e164.arpa

Any discussion of draft-haberler should restrict itself to the question
where to put "carrier" or "c" or "foo" and how to find the proper side
tree
within the carriers ENUM client and NOT e.g. asking questions like:
 
"How does my

-richard

---

From: "Stastny Richard" <[email-masked]>
Date: Mon, 18 Jul 2005 15:32:16 -0400

>I have serious problems with the statement that only carriers can
>discover a point of interconnect for a carrier given an E.164 number.

In Carrier ENUM, who else?
 
>We do not need walled ENUM gardens, and this will certainly require
>regulators in each country to get involved.

Who is "we"? ;-)

-richard

________________________________

Von: Michael Hammer (mhammer) [mailto:mhammer at cisco.com]
Gesendet: Mo 18.07.2005 21:21
An: Stastny Richard; enum at ietf.org
Betreff: RE: [Enum] Clarification on Carrier ENUM discussions

Richard,

I have serious problems with the statement that only carriers can
discover a point of interconnect for a carrier given an E.164 number.
We do not need walled ENUM gardens, and this will certainly require
regulators in each country to get involved.

Mike

> From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] On
> Behalf Of Stastny Richard
> following the current discussions on carrier ENUM, I have a
> serious problem with some issues raised
> 
> We have on one side User ENUM, which is used by end-users to
> find other end-users. We so not need to define requirements
> On the other hand we have carrier ENUM. Carrier (or
> Infrastructure) ENUM is for carriers ONLY and ONLY
> carriers-of-record are allowed to enter information there and
> ONLY carriers may use the infromation, even if it may
> publicly available. Carier ENUM is required for carriers to
> announce their PoI (IP based or on the PSTN) to other
> carriers, with ENUM based technology, that is NAPTRs using
> Enumservices such as "sip", "mms:mailto" or eventually "npd:tel"
> 
> A. use any tree in any domain (e.g foo.bar). Carriers may do
> so on their own choice and are already doing so.
> If the carriers want to use a commonly agreed tree, they have
> two options: agree on any tree out of .arpa or use
> 
> Any discussion of draft-haberler should restrict itself to
> the question where to put "carrier" or "c" or "foo" and how
> to find the proper side tree within the carriers ENUM client
> and NOT e.g. asking questions like:
> 
> "How does my
> (Scottish) handset figure out what the names (or codes) exist
> for the telco operators in say Austria? Which one of these
> Austrian telcos is it supposed to prefer? How do I get my
> handset to pick a new preferred partner for calls to Austria
> whenever I port my number to another Scottish telco or if the
> preferred telco in Austria has been renamed (or gone bust)?"
> 
> This question has nothing to do with the problem at hand not
> even with ENUM at all (not even in Scottland ;-)
>
> First: a handset (end-user) will never query carrier enum and
> even a telco querying carrier ENUM does not have to find out
> which telco to query or to prefer. ENU will give you this
> information. And a number may only be hosted by one telco at a time.
>
> -richard
>
>
>

---

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Wed, 20 Jul 2005 09:27:13 -0400

Richard,

If any user can not find a carrier point of interconnect from Carrier
ENUM, then where else? 

> From: Stastny Richard [mailto:Richard.Stastny at oefeg.at] 
> Sent: Monday, July 18, 2005 3:34 PM
> To: Michael Hammer (mhammer); enum at ietf.org
> Subject: Re: [Enum] Clarification on Carrier ENUM discussions
> 

I think it was Metcalfe's Law that said that the value of the network
was the square of the number of users that can interconnect.  The PSTN
has great value because any E.164 number can call any other E.164
number.  The value of the Internet is great because one public IP
address can reach another.  Look at instant messaging.  Everyone agrees
that having non-interoperable islands is not good.  Thus efforts to
provide for interoperability.  Look at cellular networks.  Without wide
geographic coverage enabled by the possibility to roam, the value was
limited.  VoIP and ENUM will have value if it enables anyone to reach
anyone else.  We is anyone who wants to maximize the value of the
network by making it easier to reach one another.

Early in US telephone history there were many telephone companies, but
because you could only call someone connected to the same company, there
was not general reachability.  The government stepped in and created one
phone company and gave it a monopoly.  Let's not repeat history.  Note,
I don't expect monopolies to be created, but the lawyers will fix what
the technicians fail to accomplish.  Do you want that?

If the above does not describe you, who are you looking out for?

Mike

> I have serious problems with the statement that only carriers 
> can discover a point of interconnect for a carrier given an 
> E.164 number.
> We do not need walled ENUM gardens, and this will certainly 
> require regulators in each country to get involved.
> 
> Mike
> 
> 
> > From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] 
> On Behalf 
> > Of Stastny Richard
> > We have on one side User ENUM, which is used by end-users to find 
> > other end-users. We so not need to define requirements here 
> and we do 
> > not need to discuss its purpose.
> > 
> carriers-of-record 
> > are allowed to enter information there and ONLY carriers 
> may use the 
> > infromation, even if it may publicly available. Carier ENUM is 
> > required for carriers to announce their PoI (IP based or on 
> the PSTN) 
> > to other carriers, with ENUM based technology, that is NAPTRs using 
> > A. use any tree in any domain (e.g foo.bar). Carriers may do so on 
> > their own choice and are already doing so.
> > If the carriers want to use a commonly agreed tree, they have two 
> > options: agree on any tree out of .arpa or use
> > 
> > Any discussion of draft-haberler should restrict itself to the 
> > question where to put "carrier" or "c" or "foo" and how to find the 
> > proper side tree within the carriers ENUM client and NOT 
> e.g. asking 
> > questions like:
> > 
> > "How does my
> and even a 
> > telco querying carrier ENUM does not have to find out which 
> telco to 
> > query or to prefer. ENU will give you this information. And 
> a number 
> > may only be hosted by one telco at a time.
> >
> > -richard
> >
> >
> >

---

From: "Stastny Richard" <[email-masked]>
Date: Thu, 21 Jul 2005 13:47:53 -0400

Michael,
 
In most of my presentations I gave on ENUM the last two years
I pointed out that the major problem of ENUM is to overcome
Metcalfe's Law. So much for that.;-)
 
>If any user can not find a carrier point of interconnect from Carrier

only another Carrier, and if you monitor the current discussion, only
Carriers that have an bi-lateral interconnect agreement with this carrier.

A user can never use a PoI of a carrier. The term PoI is derived from
TDM (PSTN) interconnect, and here PoI is a synonym for Network-Network Interface
(NNI). In PSTN Interconnect, a user is ALWAYS connected via a User-Network-Interface
(UNI) and NEVER can access (per definition) a NNI.

What we have here is a clash of cultures: 

User ENUM is desigend along the lines of the end-to-end Internet model
To use User ENUM, you need to get a public SIP URI from your service 
provider (or you provide it by yourself - e.g. a company PBX)  - like e-mail
 
Carrier ENUM is designed along the lines of PSTN interconnect,
Carriers have networks and interconnect with each other, either via
the Internet or via direct connections. You as a user connect to
the connect via a "UNI" to one service provider and the service provider
has to find out a way to connect you to the service provider of
the called user. How he is doing this is not your problem.
 
The next two or so years we will see a battle between these two
approaches - I have no idea who will win. It will basically
be decided by the end-users: do they want to be on their
own or do they want to have the comfort of a service provider
and pay for this.
 
The trend currently goes in direction of the PSTN interconnect
model: even the SIP Forum is changing focus,
just read the "shameless" e-mail from Rich Shockey:
 
the new task group will specify a UNI.
 
-richard

Von: Michael Hammer (mhammer) [mailto:mhammer at cisco.com]
Gesendet: Mi 20.07.2005 15:27
An: Stastny Richard; enum at ietf.org
Betreff: RE: [Enum] Clarification on Carrier ENUM discussions

Richard,

Mike

---

From: "Pfautz, Penn L, NEO" <[email-masked]>
Date: Thu, 21 Jul 2005 13:52:09 -0400

-----Original Message-----
From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] On Behalf Of
Stastny Richard
Sent: Thursday, July 21, 2005 1:51 PM
To: Michael Hammer (mhammer); enum at ietf.org
Subject: Re: [Enum] Clarification on Carrier ENUM discussions

A user can never use a PoI of a carrier. 

>>>never say never....

---

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Fri, 22 Jul 2005 16:37:24 -0400

Michael,

My vision is to leave a wide range of options open to users,
enterprises, and carriers; and not arbitrarily shut down any
possibilities via an RFC.  I also want to try and keep the discovery of
an address to which requests can be made (calls can be routed) and the
actual operation of the service (ie SIP mechanisms) as distinct as
possible.

I as a user or some enterprise for that matter may wish to communicate
to any other user or enterprise, that might just happen to use a
carrier.  It should not be a requirement that I involve a second
carrier, if:

1) the carrier serving the terminating user/enterprise as a part of
service agreement with that user is willing to accept calls from
anywhere.

2) the carrier serving the terminating user could also direct the caller
to an IVR that offers to setup a business relationship with that user
(ie acquire a customer) that enables the caller to complete calls to the
terminating party without originally coming from another service
provider.

So, my basic problem is that you are trying to do service control in
Carrier ENUM instead of simply providing the addresses that let the SIP
gateways implement whatever service they want.  If you send an INVITE to
a gateway, and I recognize that you are not a carrier with whom I have
an SLA, then it is possible to provide a 300 redirection to an
appropriate handler server.  That is a SIP not an ENUM issue.

Second, I don't think security through obscurity works long-term, so
trying to make public DNS private for Carrier ENUM may not be the best
route to go.  It may be faster (and less prone to DOS bottlenecking) to
provide a response, than attempt to authenticate the DNS requestor.

These are some fine lines as to where certain services are performed.
Views may vary.  I am just trying to provide alternate views to avoid
any group-think on this subject.  Not being an ENUM insider, more
attuned to SIP, I hoped to raise the question about where in these
ENUM/SIP transaction flows should a call really be rejected.

Hopefully, we make progress in understanding alternative views.

Mike 

> From: Michael Haberler [mailto:mah at inode.at] 
> Sent: Monday, July 18, 2005 9:00 PM
> To: Michael Hammer (mhammer); Stastny Richard; enum at ietf.org
> Subject: RE: [Enum] Clarification on Carrier ENUM discussions
> 
> At 21:21 18.07.2005, Michael Hammer \(mhammer\) wrote:
> 
> >Richard,
> >
> What Richard meant was that just because you *know* the 
> network coordinates of POI for a number that doesnt imply 
> that you can *force* the telco operating that POI to accept 
> calls from, and terminate for you just because you like that 
> to be (assuming you not having an agreement with said telco), 
> regardless if you discover the POI coordinates through DNS, 
> published information or social engineering.
> 
> I'm a bit fuzzy on what are you're suggesting.
> 
> Are you saying any URI which is entered by either User or 
> Carrier-of-Record must be publically reachable without 
> authentication (the latter would map to an underlying intent 
> or agreement)?
> 
> I happen own a +43 780ff number, mapped to a URI in User 
> ENUM, and the SIP proxy for that URI accepts calls only from 
> the PSTN->IP gateway handling that number.
> 
> Am I violating some vision here? is SIP authentication a 
> no-no or what is actually the issue?
> 
> lost,
> 
> -Michael
>

---

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 25 Jul 2005 09:26:28 -0400

Inline. 

> Metcalfe's Law. So much for that.;-)

ENUM supports realization of Metcalfe's Law by increasing the number of
people that can interconnect.

> only another Carrier, and if you monitor the current 
> discussion, only Carriers that have an bi-lateral 
> interconnect agreement with this carrier.
> 
> A user can never use a PoI of a carrier. The term PoI is 
> derived from TDM (PSTN) interconnect, and here PoI is a 
> synonym for Network-Network Interface (NNI). In PSTN 
> Interconnect, a user is ALWAYS connected via a User-Network-Interface

Maybe I am being too liberal with the term POI.  For me, NNI and UNI are
points of interconnect.  With that definition there is no reason to
exclude interconnection from enterprise service providers or home
networks.  That might resolve the apparent disconnect we have.

Mike

> User ENUM is desigend along the lines of the end-to-end 
> Internet model To use User ENUM, you need to get a public SIP 
> URI from your service provider (or you provide it by yourself 
> - e.g. a company PBX)  - like e-mail
>  
> Carrier ENUM is designed along the lines of PSTN 
> interconnect, Carriers have networks and interconnect with 
> each other, either via the Internet or via direct 
> connections. You as a user connect to the connect via a "UNI" 
> to one service provider and the service provider has to find 
> out a way to connect you to the service provider of the 
> called user. How he is doing this is not your problem.
>  
> The next two or so years we will see a battle between these 
> two approaches - I have no idea who will win. It will 
> basically be decided by the end-users: do they want to be on 
> their own or do they want to have the comfort of a service 
> provider and pay for this.
>  
> model: even the SIP Forum is changing focus, just read the 
> "shameless" e-mail from Rich Shockey:
>  
> If any user can not find a carrier point of interconnect from 
> Carrier ENUM, then where else?
> 
> I think it was Metcalfe's Law that said that the value of the 
> network was the square of the number of users that can 
> interconnect.  The PSTN has great value because any E.164 
> number can call any other E.164 number.  The value of the 
> Internet is great because one public IP address can reach 
> another.  Look at instant messaging.  Everyone agrees that 
> having non-interoperable islands is not good.  Thus efforts 
> to provide for interoperability.  Look at cellular networks.  
> Without wide geographic coverage enabled by the possibility 
> to roam, the value was limited.  VoIP and ENUM will have 
> value if it enables anyone to reach anyone else.  We is 
> anyone who wants to maximize the value of the network by 
> making it easier to reach one another.
> 
> Early in US telephone history there were many telephone 
> companies, but because you could only call someone connected 
> to the same company, there was not general reachability.  The 
> government stepped in and created one phone company and gave 
> it a monopoly.  Let's not repeat history.  Note, I don't 
> expect monopolies to be created, but the lawyers will fix 
> what the technicians fail to accomplish.  Do you want that?
> 
> do so on

---

From: "Nieminen Klaus" <[email-masked]>
Date: Mon, 25 Jul 2005 09:57:08 -0400

Michael and all,

Reading rather many emaíls about this issue, I wanted to ask one question:

Is there any need, why we should now define, who can or can't access carrier's POI? In http://www.sdlind.com/draft-lind-infrastructure-enum-reqs-00.txt (2.2 Architecture Requirements ) it is mentioned that it should:

> provide information on how to route a service to a point of 
> carrier interconnection or ALG as expressed as a URI. For 
> privacy and or network security reasons this information may_ 
> need to be restricted to service providers and not generally 
> available to end users. [editor's note: some have argued that 
> they might provide a carrier record that generally points to a 
> public interconnection point, but would provide pointers to 
> specific interconnection points for specific interconnecting 
> network providers.]  

I believe that this could be a good requirement. Of course, we may need to consider the availability of that information, but we cannot force all carriers to open their POIs just because of our carrier-ENUM draft/RFC... End-users and the market situation may do this, but should not we left that open?

BTW: of course also I would be happy to see the following ;-)

> The long term result might be that telcos get revenue through useful 
> service to customers and not by charging at the termination 
> bottleneck. 
> Whoa.. what a concept..

regards,

- Klaus -

Finnish Communications Regulatory Authority
www: http://www.ficora.fi

---

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 25 Jul 2005 10:02:19 -0400

Klaus,

I would be happy if the RFCs leave it up to the owners of the E.164 number ranges the decision as to whether to advertize or not advertize such points of interconnect.  That is an implementation/operational decision for which the protocol work should allow both closed and open options to exist.

Mike

> Behalf Of Nieminen Klaus
> Sent: Monday, July 25, 2005 9:57 AM
> To: enum at ietf.org
> Is there any need, why we should now define, who can or can't 
> access carrier's POI? In 
> http://www.sdlind.com/draft-lind-infrastructure-enum-reqs-00.t
> xt (2.2 Architecture Requirements ) it is mentioned that it should:
> 
> > provide information on how to route a service to a point of carrier 
> > interconnection or ALG as expressed as a URI. For privacy and or 
> > network security reasons this information may_ need to be 
> restricted 
> > to service providers and not generally available to end users. 
> > [editor's note: some have argued that they might provide a carrier 
> > record that generally points to a public interconnection point, but 
> > would provide pointers to specific interconnection points 
> for specific 
> > interconnecting network providers.]
> 
> I believe that this could be a good requirement. Of course, 
> we may need to consider the availability of that information, 
> but we cannot force all carriers to open their POIs just 
> because of our carrier-ENUM draft/RFC... End-users and the 
> market situation may do this, but should not we left that open?
>